#include <iostream>
#include <cmath>
#include <vector>

std::vector<unsigned > primeNumbers;

const std::vector<unsigned> &generatePrime(std::vector<unsigned > &res, int max) {
    res.push_back(2);
    for (unsigned it = 3; it != max + 1 ; ++it) {
        bool isPrime = false;
        for (unsigned it2 = it - 1; it2 > 1; --it2) {
            if (it % it2 == 0) {
                // not prime
                isPrime = false;
                break;
            } else {
                if (it2 == 2) {
                    isPrime = true;
                }
                continue;
            }
        }
        if (isPrime) {
            res.push_back(it);
        }
    }
    return res;
}

int total = 0;
int input = 0;
size_t size = 0;

void generate(int i) {
    int j = 1;
    total++;
    bool flag = false;
    while ( i + j < size - 1 && primeNumbers[i + j] - primeNumbers[i] <= 14) {
        flag = true;
        generate(i+j);
        j++;
    }

    if (input - primeNumbers[i] > 14) {
        --total;
    }
}

int main() {
    std::cin >> input;
    //primeNumbers = generatePrime(primeNumbers, input);
    primeNumbers = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37,41,
                    43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89,97, 101,
                    103, 107, 109, 113, 127, 131, 137, 139, 149, 151, 157,
                    163, 167, 173, 179, 181, 191, 193, 197, 199, 211};
    int cnt = 0;
    for (auto it = primeNumbers.begin(); it != primeNumbers.end(); ++it, ++cnt) {
        if (*it == input) {
            size = cnt + 1;
            break;
        }
    };

    for (int i = 1; i < size - 1 && primeNumbers[i] <= 16; ++i) {
        generate(i);
    }

    if (input <= 16) {
        ++total;
    }
    std::cout << total << std::endl;

    return 0;
}
